=== debian/changelog ===
lgogdownloader (3.12-1ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:50:38 +1100

lgogdownloader (3.12-1ubuntu3) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:03:13 +0000

lgogdownloader (3.12-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:33:49 +0000

lgogdownloader (3.12-1ubuntu1) noble; urgency=medium

  * No-change rebuild against libtinyxml2-10

 -- Dan Bungert <daniel.bungert@canonical.com>  Mon, 22 Jan 2024 10:30:44 -0700

lgogdownloader (3.12-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:56 +0100

lgogdownloader (3.12-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Oct 2023 23:59:41 +0200
