## lgogdownloader 3.14

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-cmake_minimum_required(VERSION 3.5.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.12)
+cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.14)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
@@ -25,11 +25,11 @@
   )
 find_package(CURL 7.55.0 REQUIRED)
 find_package(Jsoncpp REQUIRED)
-find_package(Htmlcxx REQUIRED)
 find_package(Tinyxml2 REQUIRED)
 find_package(Rhash REQUIRED)
 find_package(Threads REQUIRED)
 find_package(ZLIB REQUIRED)
+find_package(Tidy REQUIRED)
 
 file(GLOB SRC_FILES
   main.cpp
@@ -45,8 +45,12 @@
   )
 
 if(USE_QT_GUI)
-  find_package(Qt5Widgets CONFIG REQUIRED)
-  find_package(Qt5WebEngineWidgets CONFIG REQUIRED)
+  set(QT Qt6)
+  find_package(Qt6 COMPONENTS Widgets WebEngineWidgets CONFIG)
+  if(NOT Qt6_FOUND)
+    set(QT Qt5)
+    find_package(Qt5 REQUIRED COMPONENTS Widgets WebEngineWidgets CONFIG)
+  endif()
 
   file(GLOB QT_GUI_SRC_FILES
     src/gui_login.cpp
@@ -107,10 +111,10 @@
   PRIVATE ${CURL_INCLUDE_DIRS}
   PRIVATE ${OAuth_INCLUDE_DIRS}
   PRIVATE ${Jsoncpp_INCLUDE_DIRS}
-  PRIVATE ${Htmlcxx_INCLUDE_DIRS}
   PRIVATE ${Tinyxml2_INCLUDE_DIRS}
   PRIVATE ${Rhash_INCLUDE_DIRS}
   PRIVATE ${ZLIB_INCLUDE_DIRS}
+  PRIVATE ${Tidy_INCLUDE_DIRS}
   )
 
 target_link_libraries(${PROJECT_NAME}
@@ -118,11 +122,11 @@
   PRIVATE ${CURL_LIBRARIES}
   PRIVATE ${OAuth_LIBRARIES}
   PRIVATE ${Jsoncpp_LIBRARIES}
-  PRIVATE ${Htmlcxx_LIBRARIES}
   PRIVATE ${Tinyxml2_LIBRARIES}
   PRIVATE ${Rhash_LIBRARIES}
   PRIVATE ${CMAKE_THREAD_LIBS_INIT}
   PRIVATE ${ZLIB_LIBRARIES}
+  PRIVATE ${Tidy_LIBRARIES}
   )
 
 # Check if libatomic is needed in order to use std::atomic, and add
@@ -140,10 +144,16 @@
 
 if(USE_QT_GUI)
   target_link_libraries(${PROJECT_NAME}
-    PRIVATE Qt5::Widgets
-    PRIVATE Qt5::WebEngineWidgets
+    PRIVATE ${QT}::Widgets
+    PRIVATE ${QT}::WebEngineWidgets
   )
 endif(USE_QT_GUI)
+
+if(Qt6_FOUND)
+  set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 17)
+else()
+  set_property(TARGET ${PROJECT_NAME} PROPERTY CXX_STANDARD 11)
+endif(Qt6_FOUND)
 
 if(MSVC)
   # Force to always compile with W4
@@ -154,7 +164,7 @@
   endif()
 elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
   # Update if necessary
-  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall -Wextra -Wno-long-long -fexceptions")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-long-long -fexceptions")
 endif()
 
 set(INSTALL_BIN_DIR bin CACHE PATH "Installation directory for executables")
