=== debian/changelog ===
lgogdownloader (3.14-1build1) oracular; urgency=medium

  * No-change rebuild for libtidy58

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 30 Jul 2024 07:39:37 +0100

lgogdownloader (3.14-1) unstable; urgency=medium

  * New upstream release.
  * Build-depend on pkgconf instead of pkg-config.

 -- Stephen Kitt <skitt@debian.org>  Wed, 05 Jun 2024 19:55:18 +0200

lgogdownloader (3.13-1) unstable; urgency=medium

  * New upstream release, adding support for Qt6 and replacing libhtmlcxx
    with libtidy.
  * Standards-Version 4.7.0, no change required.
  * Drop obsolete version requirement on libjsoncpp-dev.

 -- Stephen Kitt <skitt@debian.org>  Mon, 20 May 2024 13:41:09 +0200
