## lgogdownloader 3.15

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.14)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.15)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
