=== debian/changelog ===
lgogdownloader (3.15-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Stephen Kitt <skitt@debian.org>  Sat, 26 Oct 2024 14:48:16 +0200

lgogdownloader (3.15-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 24 Aug 2024 21:47:17 +0200
