=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: lgogdownloader
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: web
 Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
-               help2man,
                libboost-date-time-dev,
                libboost-filesystem-dev,
                libboost-iostreams-dev,
@@ -14,15 +12,16 @@
                libboost-regex-dev,
                libboost-system-dev,
                libcurl4-gnutls-dev,
-               libhtmlcxx-dev,
-               libjsoncpp-dev (>= 1.7.1),
+               libjsoncpp-dev,
                librhash-dev,
+               libtidy-dev,
                libtinyxml2-dev,
                ninja-build,
-               pkg-config,
-               qtwebengine5-dev [amd64 arm64 armhf i386 mips64el],
+               pkgconf,
+               qtwebengine5-dev [mips64el],
+               qt6-webengine-dev [amd64 arm64 armhf i386],
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git
