=== debian/changelog ===
lgogdownloader (3.16-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Fri, 27 Dec 2024 11:38:48 +0100
