=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                qtwebengine5-dev [mips64el],
                qt6-webengine-dev [amd64 arm64 armhf i386],
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git
