## lgogdownloader 3.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.18.0 FATAL_ERROR)
-project (lgogdownloader LANGUAGES C CXX VERSION 3.16)
+project (lgogdownloader LANGUAGES C CXX VERSION 3.18)
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 
@@ -13,12 +13,13 @@
 find_package(Boost
   CONFIG
   REQUIRED
-  system
   filesystem
   regex
   program_options
   date_time
   iostreams
+  OPTIONAL_COMPONENTS
+  system
   )
 find_package(CURL 7.55.0 REQUIRED)
 find_package(Jsoncpp REQUIRED)
