=== debian/changelog ===
lgogdownloader (3.18-2) unstable; urgency=medium

  * Drop the obsolete build-dependency on libboost-system-dev. Closes:
    #1127221.
  * Drop “Priority: optional” since it’s now the default.
  * Standards-Version 4.7.3, no further change required.
  * Update debian/watch to version 5.

 -- Stephen Kitt <skitt@debian.org>  Fri, 06 Feb 2026 17:49:13 +0100

lgogdownloader (3.18-1) unstable; urgency=medium

  * New upstream release. Closes: #1120491.
  * Drop “Rules-Requires-Root: no” since it’s now the default.

 -- Stephen Kitt <skitt@debian.org>  Sat, 15 Nov 2025 21:30:17 +0100
