=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Stephen Kitt <skitt@debian.org>
 Section: web
-Priority: optional
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libboost-date-time-dev,
@@ -10,7 +9,6 @@
                libboost-iostreams-dev,
                libboost-program-options-dev,
                libboost-regex-dev,
-               libboost-system-dev,
                libcurl4-gnutls-dev,
                libjsoncpp-dev,
                librhash-dev,
@@ -21,8 +19,7 @@
                qtwebengine5-dev [mips64el],
                qt6-webengine-dev [amd64 arm64 armhf i386],
                zlib1g-dev
-Standards-Version: 4.7.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/games-team/lgogdownloader
 Vcs-Git: https://salsa.debian.org/games-team/lgogdownloader.git
 Homepage: https://sites.google.com/site/gogdownloader/
