=== debian/watch ===
Version: 5

Template: Github
Owner: Sude-
Project: lgogdownloader
